@ECHO OFF & SETLOCAL ENABLEDELAYEDEXPANSION


REM Variablen mit ZusatzInfos erstellen
REM ####################################################################################
SET "sZusatzinfo_Zeile1_Teil1a=MeineZusatzinfo1ANFANG"
SET "sZusatzinfo_Zeile1_Teil1b=MeineZusatzinfo1ENDE"

SET "sZusatzinfo_Zeile1_Teil2a=MeineZusatzinfo2ANFANG"
SET "sZusatzinfo_Zeile1_Teil2b=MeineZusatzinfo2ENDE"

SET "sZusatzinfo_Zeile1_Teil3a=MeineZusatzinfo3ANFANG"
SET "sZusatzinfo_Zeile1_Teil3b=MeineZusatzinfo3ENDE"

SET "sZusatzinfo_Zeile2_Teil1a=MeineZusatzinfo4ANFANG"
SET "sZusatzinfo_Zeile2_Teil1b=MeineZusatzinfo4ANFANG"

SET "sZusatzinfo_Zeile2_Teil2a=MeineZusatzinfo5ANFANG"
SET "sZusatzinfo_Zeile2_Teil2b=MeineZusatzinfo5ENDE"


REM JEDE *.txt-Datei im aktuellen Verzeichnis verarbeiten:
REM ####################################################################################
FOR %%A in ("%CD%\*.txt") DO (

	REM ##### Zeile 1 auslesen
	SET /P Zeile1=< %%A

	REM ##### Jedes Token/Fragment in Zeile1 (getrennt durch TAB) durchlaufen und in TXT-Datei schreiben
	SET /A iZaehlerA=0
	FOR %%B in ("!Zeile1:	=" "!") do (
		SET /A iZaehlerA+=1
		CALL SET "sZIa=%%sZusatzinfo_Zeile1_Teil!iZaehlerA!a%%"
		CALL SET "sZIb=%%sZusatzinfo_Zeile1_Teil!iZaehlerA!b%%"
		ECHO schreibe !sZIa!+%%~B+!sZIb! in "%%~nA_editiert.txt"
		ECHO !sZIa!+%%~B+!sZIb!>>%%~nA_editiert.txt
	)

	REM ##### Zeile 2 auslesen
	FOR /f "tokens=1*delims=:" %%G in ('findstr /n "^" %%A') do if %%G equ 2 SET Zeile2=%%H

	REM ##### Jedes Token/Fragment in Zeile2, getrennt durch TAB, durchlaufen und in TXT-Datei schreiben
	SET /A iZaehlerB=0
	FOR %%C in ("!Zeile2:	=" "!") do (
		SET /A iZaehlerB+=1
		CALL SET "sZIa=%%sZusatzinfo_Zeile2_Teil!iZaehlerB!a%%"
		CALL SET "sZIb=%%sZusatzinfo_Zeile2_Teil!iZaehlerB!b%%"
		ECHO schreibe !sZIa!+%%~C+!sZIb! in "%%~nA_editiert.txt"
		ECHO !sZIa!+%%~C+!sZIb!>>%%~nA_editiert.txt
	)

)
pause